<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;::mp_impl_const&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4.html">member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;</a></li><li class="navelem"><a class="el" href="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__impl__const.html">mp_impl_const</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01vo28afa4d4b11206f8e49f853ff5c73ec6.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;::mp_impl_const&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;::mp_impl_const&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__impl__const.png" usemap="#dlib::member_5Ffunction_5Fpointer_3C_20PARAM1_2C_20PARAM2_2C_20PARAM3_2C_20void_20_3E::mp_5Fimpl_5Fconst_3C_20T_20_3E_map" alt=""/>
  <map id="dlib::member_5Ffunction_5Fpointer_3C_20PARAM1_2C_20PARAM2_2C_20PARAM3_2C_20void_20_3E::mp_5Fimpl_5Fconst_3C_20T_20_3E_map" name="dlib::member_5Ffunction_5Fpointer_3C_20PARAM1_2C_20PARAM2_2C_20PARAM3_2C_20void_20_3E::mp_5Fimpl_5Fconst_3C_20T_20_3E_map">
<area href="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base.html" alt="dlib::member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;::mp_base" shape="rect" coords="0,56,530,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae0bee1b64e56ceaf90ff3faaf9b27975"><td class="memItemLeft" align="right" valign="top"><a id="ae0bee1b64e56ceaf90ff3faaf9b27975"></a>
typedef&#160;</td><td class="memItemRight" valign="bottom"><b>void</b> ((T::*mfp_pointer_type)(PARAM1, PARAM2, PARAM3) const)</td></tr>
<tr class="separator:ae0bee1b64e56ceaf90ff3faaf9b27975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb84a4d7656ea7a397904f0187abb1ca"><td class="memItemLeft" align="right" valign="top"><a id="adb84a4d7656ea7a397904f0187abb1ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>call</b> (PARAM1 p1, PARAM2 p2, PARAM3 p3) const</td></tr>
<tr class="separator:adb84a4d7656ea7a397904f0187abb1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7315948181c22e5fb941dc9b147766"><td class="memItemLeft" align="right" valign="top"><a id="a2e7315948181c22e5fb941dc9b147766"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mp_impl_const</b> (void *object, mfp_pointer_type cb)</td></tr>
<tr class="separator:a2e7315948181c22e5fb941dc9b147766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base.html">dlib::member_function_pointer&lt; PARAM1, PARAM2, PARAM3, void &gt;::mp_base</a></td></tr>
<tr class="memitem:aeec902c15f4657bc0b55d4dc1bde2c53 inherit pub_methods_classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base"><td class="memItemLeft" align="right" valign="top"><a id="aeec902c15f4657bc0b55d4dc1bde2c53"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mp_base</b> (void *ptr, mfp_type type_)</td></tr>
<tr class="separator:aeec902c15f4657bc0b55d4dc1bde2c53 inherit pub_methods_classdlib_1_1member__function__pointer_3_01_p_a_r_a_m1_00_01_p_a_r_a_m2_00_01_p_a_r_a_m3_00_01void_01_4_1_1mp__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aca0371a47855c9fe4197419d393afe3a"><td class="memItemLeft" align="right" valign="top"><a id="aca0371a47855c9fe4197419d393afe3a"></a>
const mfp_pointer_type&#160;</td><td class="memItemRight" valign="bottom"><b>callback</b></td></tr>
<tr class="separator:aca0371a47855c9fe4197419d393afe3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="member__function__pointer__kernel__1_8h_source.html">member_function_pointer_kernel_1.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
